function numFields = fieldcount(modelObj)
%FIELDCOUNT - determines the number of fields in an model object
%
%   determines the number of fields in an model object
%   Used by model child class methods
%   Do not use

numFields = length(fieldnames(modelObj));
